#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
   //The interface is launched here
    ui->setupUi(this);

    //Setup graphicView for camera display
    ui->graphicsView->setScene(new QGraphicsScene(this));
    ui->graphicsView->scene()->addItem(&pixmap);
    ui->graphicsView->fitInView(&pixmap, Qt::KeepAspectRatio);

    //Load files for face filter
    if(!filter.loadfiles()){
        return;
    }
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_Render_Button_clicked()
{
    //TO DO: Implement things to do when "Render" button is clicked
}

void MainWindow::on_Open_Camera_Button_clicked()
{
    //Implement things to do when "Camera" Button is clicked

    if(!capture.open(camera_ID))
    {
        QMessageBox::critical(this,
                              "Camera Error", "Make sure you entered a correct camera index or that the camera is not being accessed by another program!");
        return;
    }

    //TO DO: display frames in the graphicVIew
    while(capture.read(frame)){

        QImage qimg(frame.data, frame.cols, frame.rows, frame.step, QImage::Format_RGB888);
        pixmap.setPixmap( QPixmap::fromImage(qimg.rgbSwapped()) );

       // qApp->processEvents();
    }

}


/* To display image in graphicView, use

    QImage qimg(frame.data, frame.cols, frame.rows, frame.step, QImage::Format_RGB888);
    pixmap.setPixmap( QPixmap::fromImage(qimg.rgbSwapped()) );

    qApp->processEvents();


*/
