#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDebug>
#include <QGraphicsScene>
#include <QGraphicsPixmapItem>
#include <QImage>
#include <QPixmap>
#include <QCloseEvent>
#include <QMessageBox>

#include <facefilter.h>

namespace Ui {
class MainWindow;
}

using namespace cv;


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:

    void on_Render_Button_clicked();

    void on_Open_Camera_Button_clicked();

private:
    Ui::MainWindow *ui;
    QGraphicsPixmapItem pixmap;

    cv::VideoCapture capture;       //Initialize VideoCapture in main window so we can access camera even without filtering
    FaceFilter filter;                        //Call the face filter object we implemented of our own

    Mat frame;
    const int camera_ID = 0;    //camera ID, 0 be the first device
};

#endif // MAINWINDOW_H
